Subject: RE: [CYGWIN] XP Pro cygipc/PostgreSQL test report
From: "Karl M" <[email-masked]>
To: [email-masked], [email-masked]
Cc: [email-masked]
Date: Tue, 15 Apr 2003 14:38:52 -0700

Hi All...

In order to start services under a particular user account (Windows 2000, 
XP, for NT I don't remember) you must give the user the "login as a service" 
right.

In XP Home Edition that is a bit tricky...you can't do it from the local 
security policy snap-in becuase it is not there. You have to use the program 
NTRights.exe to do it on XP Home Edition. This program is part of the 
Windows 2000 resource kit.

After you assign the "logon as a service" right, you can run services under 
that user account just fine.

Thanks,

...Karl

>From: "Dave Page" <[email-masked]>
>To: <[email-masked]>
>CC: "Pgsql-Cygwin" <[email-masked]>
>Subject: RE: [CYGWIN] XP Pro cygipc/PostgreSQL test report
>Date: Tue, 15 Apr 2003 21:33:50 +0100
>
>
>
> > -----Original Message-----
> > From: Corinna Vinschen [mailto:[email-masked]]
> > Sent: 15 April 2003 21:07
> > To: Cygwin
> > Cc: Dave Page; Pgsql-Cygwin
> > Subject: Re: [CYGWIN] XP Pro cygipc/PostgreSQL test report
> >
> > > Yes, XP Home had (and still has) reported problems.  But, I
> > don't have
> > > access to XP Home, so I cannot confirm or refute them.
> >
> > Sorry but I don't quite understand that.  XP Home is the same
> > as XP Pro except for the user interface side and some minor
> > services. Especially the OS kernel is the same.  No missing
> > calls, no different behaviour.  From the Cygwin side of life,
> > both are the same.
>
>I thought I heard there were differences in the way you could specify
>the user account used by services (specifically you couldn't)? I've
>never used Home so may be completely off-track, but as Jason implies,
>judging by posts to the pgsql-cygwin list there is definately something
>different between home and pro causing the problem on home that don't
>exist with pro.
>
>Regards, Dave.
>
>--
>Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
>Problem reports:       http://cygwin.com/problems.html
>Documentation:         http://cygwin.com/docs.html
>FAQ:                   http://cygwin.com/faq/
>

_________________________________________________________________
MSN 8 helps eliminate e-mail viruses. Get 2 months FREE*.  
http://join.msn.com/?page=features/virus

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/